Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1418944 (CVE-2017-5884) - CVE-2017-5884 gtk-vnc: Improper check of framebuffer boundaries when processing a tile
Summary: CVE-2017-5884 gtk-vnc: Improper check of framebuffer boundaries when processi...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5884
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1418955 1418956 1425367
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 08:52 UTC by Adam Mariš
Modified: 2019-09-29 14:06 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was found that gtk-vnc lacked proper bounds checking while processing messages using RRE, hextile, or copyrect encodings. A remote malicious VNC server could use this flaw to crash VNC viewers which are based on the gtk-vnc library.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:06:59 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2258 0 normal SHIPPED_LIVE Moderate: gtk-vnc security, bug fix, and enhancement update 2017-08-01 18:21:01 UTC

Description Adam Mariš 2017-02-03 08:52:02 UTC
It was found that gtk-vnc does not properly check boundaries of subrectangle-containing tiles. A malicious server can use this to overwrite parts of the client memory, potentially leading to code execution under privileges of the user running the VNC client.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=778048

Upstream patch:

https://git.gnome.org/browse/gtk-vnc/commit/?id=ea0386933214c9178

Comment 1 Adam Mariš 2017-02-03 09:12:42 UTC
Created gtk-vnc tracking bugs for this issue:

Affects: fedora-all [bug 1418955]

Comment 2 Adam Mariš 2017-02-03 09:13:00 UTC
Created mingw-gtk-vnc tracking bugs for this issue:

Affects: fedora-all [bug 1418956]

Comment 3 Adam Mariš 2017-02-06 08:45:06 UTC
CVE assignment:

http://openwall.com/lists/oss-security/2017/02/05/5

CVE covers all issues mentioned in https://bugzilla.gnome.org/show_bug.cgi?id=778048#c1

Comment 4 Daniel Berrangé 2017-02-07 14:13:49 UTC
Upstream fix in git master is

commit ea0386933214c9178aaea9f2f85049ea3fa3e14a
Author: Daniel P. Berrange <berrange>
Date:   Thu Feb 2 17:34:47 2017 +0000

    Fix bounds checking for RRE, hextile & copyrect encodings
    
    While the client would bounds check the overall update
    region, it failed to bounds check the payload data
    parameters.
    
    Add a test case to validate bounds checking.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=778048
    
    CVE-2017-5884
    
    Signed-off-by: Daniel P. Berrange <berrange>

Comment 10 errata-xmlrpc 2017-08-01 19:56:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2258 https://access.redhat.com/errata/RHSA-2017:2258


Note You need to log in before you can comment on or make changes to this bug.